#!/usr/bin/env python
# coding: utf-8
# Import Cirq Libraries
import cirq
from cirq.ops import CNOT, H, X

# Declare qubits-place one below the other: q[0] at (0,0) & q[1] at (1,0)
q = [cirq.GridQubit(i, 0) for i in range(2)] 

# Set up Circuit
circuit = cirq.Circuit()
circuit.append([X(q[1]),H(q[0]), H(q[1]),
    CNOT(q[0],q[1]), X(q[1]), H(q[0])])
circuit.append(cirq.measure(q[0], key='m'))

print(circuit)

# Get a simulator to execute the circuit
simulator = cirq.Simulator()
# Simulate the circuit several times
result = simulator.run(circuit, repetitions=1) 
# Print the results
print("Results:")
print(result)
