#!/usr/bin/env python
# coding: utf-8

import cirq
from cirq.contrib.qasm_import import circuit_from_qasm

circuit = circuit_from_qasm("""
OPENQASM 2.0;
include "qelib1.inc";

qreg q[2];
creg c[2];

h q[0];
cx q[0],q[1];

measure q[0] -> c[0];
measure q[1] -> c[1];
    """)
print(circuit)


# Get a simulator to execute the circuit
simulator = cirq.Simulator()
# Simulate the circuit several times
result = simulator.run(circuit, repetitions=10)
# Print the results
print("Results:")
print(result)
