OPENQASM 2.0;
include "qelib1.inc";
// Initialize Quantum and Classical Registers
qreg xvar[3]; // Qubits for the variables
qreg p[2]; // Qubits for the constraints
creg c[3]; // Classical Register

// Generate All Combinations
h xvar[0];
h xvar[1];
h xvar[2];

// Tag |011> Quantum State
x xvar[0];
ccx xvar[0],xvar[1],p[0];
ccx xvar[2],p[0],p[1];
z p[1];
ccx xvar[2],p[0],p[1];
ccx xvar[0],xvar[1],p[0];
x xvar[0];

// Fundamental Canceling Circuit
id xvar[1]; // Dummy gate to visually line up other gates
id xvar[2]; // Dummy gate to visually line up other gates
h xvar[0];
h xvar[1];
h xvar[2];
x xvar[0];
x xvar[1];
x xvar[2];
ccx xvar[0],xvar[1],p[0];
ccx xvar[2],p[0],p[1];
z p[1];
ccx xvar[2],p[0],p[1];
ccx xvar[0],xvar[1],p[0];
x xvar[0];
x xvar[1];
x xvar[2];
h xvar[0];
h xvar[1];
h xvar[2];

// Collapse Qubits
measure xvar[0] -> c[0];
measure xvar[1] -> c[1];
measure xvar[2] -> c[2];
