#!/usr/bin/env python
# coding: utf-8

import cirq # (1)
from cirq.ops import CNOT, H 

q = [cirq.GridQubit(i, 0) for i in range(2)] # (2)

circuit = cirq.Circuit() # (3)
circuit.append([H(q[0]),CNOT(q[0], q[1])])

# Measure Gates
circuit.append(cirq.measure(*q, key='m')) # (4)

print(circuit)

# Get a simulator to execute the circuit
simulator = cirq.Simulator() # (5)
# Simulate the circuit several times
result = simulator.run(circuit, repetitions=5)

# Print the results
print("Results:") # (6)
print(result)

# Show as histogram
print("\nMeasurements:")
print(result.histogram(key="m"))



