#!/usr/bin/env python
# coding: utf-8

#!/usr/bin/env python
# coding: utf-8

# Header lines - import libraries
import numpy as np
import math
from qiskit import(
QuantumCircuit,
QuantumRegister,
ClassicalRegister,
execute,
Aer)
from qiskit.visualization import plot_histogram

# Define circuit
circuit = QuantumCircuit()

# Declare and add quantum and classical registers
q = QuantumRegister(2,'qreg') # 2 Qubits Register
circuit.add_register( q )

c = ClassicalRegister(2,'creg') # 2 Bits Classical Register
circuit.add_register(c)

# Declare the X Gate
circuit.x(1)

# Declare the H Gate
circuit.h(q[0]) 

# Declare the CNOT Gate
circuit.cnot(q[0],q[1])

# Draw the circuit 
circuit.draw(output='mpl')

backend2 = Aer.get_backend('statevector_simulator')
job = execute(circuit, backend2)

phi = job.result().get_statevector()
for amplitude in phi:
    print(amplitude)

Import Qiskt, other libraries
Set up Quantum Circuit

backend = Aer.get_backend('statevector_simulator')
job = execute(circuit, backend)
result = job.result()
statevector = result.get_statevector(decimals=3)
print(statevector)

# Draw the circuit 
circuit.draw(output='mpl')


# Collapse Qubits
circuit.measure(q[0],c[0])
circuit.measure(q[1],c[1]) 

# Draw the circuit 
circuit.draw(output='mpl')

Import Qiskt, other libraries
Set up Quantum Circuit

# Run the quantum circuit on a unitary simulator backend
backend = Aer.get_backend('unitary_simulator')
job = execute(circuit, backend)
result = job.result()

# Show the results
print(result.get_unitary(circuit, decimals=3))

Import Qiskt, other libraries
Set up Quantum Circuit

# Use simulator to run the circuit
backend = Aer.get_backend('qasm_simulator')

# Define the run parameters and execute
job = execute( circuit, backend, shots=1024 )

# Tally the results
collapsed_states_array = job.result().get_counts()
print(collapsed_states_array)

# Plot the histogram of quantum states
#plot_histogram( collapsed_states_array )



